%define name		rh-jonas-docs
%define version		4.3.3
%define release		2

%define summary		Red Hat JOnAS Documentation

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
BuildArch:      noarch
Group: Applications/Internet

# Source files

#Source0: rh-jonas-docs-%{version}-%{release}.tgz
Source0: rh-jonas-docs-%{version}-1.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# --------------------------------------------------------------------
# Execution dependencies
# --------------------------------------------------------------------

# Docs for 4.3.5 are the same
#Requires:	jonas = 0:%{version}
Requires:	jonas >= 0:4.3.3

# --------------------------------------------------------------------
# End Execution dependencies
# --------------------------------------------------------------------

%description
The %{name} package contains PDF versions of the Red Hat JOnAS documentation.

%prep

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}

# ------------------------------------------
# Install
# ------------------------------------------
%install
(cd $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}; cp %{SOURCE0} .; tar xzf %{SOURCE0}; rm *.tgz)

# ------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------

%files
%defattr(644,root,root,755)
%{_datadir}/doc/jonas-%{version}/JonasUsersGuide.pdf
%{_datadir}/doc/jonas-%{version}/InstallGuide.pdf
%{_datadir}/doc/jonas-%{version}/JonasTutorial.pdf
%{_datadir}/doc/jonas-%{version}/RELEASE-NOTES.RHAPS
%{_datadir}/doc/jonas-%{version}/RELEASE-NOTES.RHDS

# ------------------------------

%changelog
* Thu Mar 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-2
- Relax jonas version dependency as docs for 4.3.5 are the same as for 4.3.3

* Thu Mar 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1
- Update JOnAS User's Guide to 4.3.3
- Ditto for Tutorial and Install Guide
- Add RELEASE-NOTES.RHAPS
- Add RELEASE-NOTES.RHDS
- List files by name, not using glob
- Fix typo that left tar ball behind

* Tue Jul 27 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-3
- New versions of the install guide and tutorial

* Fri Jul 23 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-2
- New version of the install guide

* Thu Jul 22 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-1
- Initial build
